<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmVariableType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmVariableType Enumeration

Visual Basic
C#
C++/CLI
Constants that identify the data type of a variable.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmVariableType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmVariableType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmVariableType : public System.Enum

# Members

Member | Description
--- | ---
EdmVarType_Bool | 4 = Boolean data (i.e., yes or no values)
EdmVarType_Date | 5 = Date and time data
EdmVarType_Float | 3 = Floating-point data (64 bit)
EdmVarType_Int | 2 = Integer data (32 bit)
EdmVarType_None | 0 = Error code; used internally
EdmVarType_Text | 1 = String data

# Remarks

Used in IEdmVariable5::VariableType.

# See Also

####

EPDM.Interop.epdm Namespace